package com.xzzn.web.controller.ems;

import com.xzzn.common.core.controller.BaseController;
import com.xzzn.common.core.domain.AjaxResult;
import com.xzzn.common.core.page.TableDataInfo;
import com.xzzn.ems.domain.vo.BatteryDataStatsListVo;
import com.xzzn.ems.service.IEmsSiteService;
import com.xzzn.ems.service.ISingleSiteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 *
 *  单站监控
 *
 */
@RestController
@RequestMapping("/ems/siteMonitor")
public class EmsSiteMonitorController extends BaseController{

    @Autowired
    private ISingleSiteService iSingleSiteService;
    @Autowired
    private IEmsSiteService iEmsSiteService;

    /**
     * 获取单站首页数据
     */
    @GetMapping("/homeView")
    public AjaxResult getSingleSiteViewInfo(@RequestParam String siteId)
    {
        return success(iSingleSiteService.getSiteMonitorDataVo(siteId));
    }

    /**
     * 单站监控-设备监控-实时运行头部数据
     */
    @GetMapping("/runningHeadInfo")
    public AjaxResult getRunningHeadInfo(@RequestParam String siteId)
    {
        return success(iSingleSiteService.getSiteRunningHeadInfo(siteId));
    }

    /**
     * 单站监控-设备监控-实时运行曲线图数据
     */
    @GetMapping("/runningGraph")
    public AjaxResult getRunningGraph(@RequestParam String siteId)
    {
        return success(iSingleSiteService.getRunningGraph(siteId));
    }

    /**
     * 单站监控-设备监控-PCS
     */
    @GetMapping("/getPcsDetailInfo")
    public AjaxResult getPcsDetailInfo(@RequestParam String siteId)
    {
        return success(iSingleSiteService.getPcsDetailInfo(siteId));
    }

    /**
     * 单站监控-设备监控-BMS总览
     */
    @GetMapping("/getBMSOverView")
    public AjaxResult getBMSOverView(@RequestParam String siteId)
    {
        return success(iSingleSiteService.getBMSOverView(siteId));
    }

    /**
     * 单站监控-设备监控-BMS电池簇
     */
    @GetMapping("/getBMSBatteryCluster")
    public AjaxResult getBMSBatteryCluster(@RequestParam String siteId)
    {
        return success(iSingleSiteService.getBMSBatteryCluster(siteId));
    }

    /**
     * 获取所有电池堆
     */
    @GetMapping("/getStackNameList")
    public AjaxResult getStackNameList(@RequestParam String siteId)
    {
        return success(iEmsSiteService.getAllStackInfo(siteId));
    }

    /**
     * 获取所有电池簇
     */
    @GetMapping("/getClusterNameList")
    public AjaxResult getClusterNameList(@RequestParam String stackDeviceId)
    {
        return success(iEmsSiteService.getAllClusterInfo(stackDeviceId));
    }

    /**
     * 液冷设备参数
     */
    @GetMapping("/getCoolingDataList")
    public AjaxResult getCoolingDataList(@RequestParam String siteId)
    {
        return success(iSingleSiteService.getCoolingDataList(siteId));
    }

    /**
     * 获取电池簇下面的单体电池数据
     */
    @GetMapping("/getClusterDataInfoList")
    public TableDataInfo getClusterDataInfoList(@RequestParam String clusterDeviceId,@RequestParam String siteId)
    {
        startPage();
        List<BatteryDataStatsListVo> list = iSingleSiteService.getClusterDataInfoList(clusterDeviceId,siteId);
        return  getDataTable(list);
    }

    /**
     * 电表数据
     */
    @GetMapping("/getAmmeterDataList")
    public AjaxResult getAmmeterDataList(@RequestParam String siteId)
    {
        return success(iSingleSiteService.getAmmeterDataList(siteId));
    }
}
