package com.xzzn.web.controller.ems;

import com.xzzn.common.core.controller.BaseController;
import com.xzzn.common.core.domain.AjaxResult;
import com.xzzn.common.utils.StringUtils;
import com.xzzn.ems.domain.vo.DateSearchRequest;
import com.xzzn.ems.service.IEmsStatsReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 单站监控-统计报表
 * 
 * @author xzzn
 */
@RestController
@RequestMapping("/ems/statsReport")
public class EmsStatisticalReportController extends BaseController
{

    @Autowired
    private IEmsStatsReportService ieEmsStatsReportService;

    /**
     * 概率统计-收益指标查询
     */
    @GetMapping("/getRevenueData")
    public AjaxResult getRevenueData(DateSearchRequest requestVo)
    {
        return success(null);
    }

    /**
     * 概率统计-电量指标查询
     */
    @GetMapping("/getElectricData")
    public AjaxResult getElectricData(DateSearchRequest requestVo)
    {
        if (!StringUtils.isEmpty(requestVo.getSiteId())) {
            return success(ieEmsStatsReportService.getElectricDataResult(requestVo));
        } else {
            return error("站点id必传");
        }
    }

}
